1. Tata2904's Avatar
    Details of my phone:
    Getting message "Your device isn't compatible with this version" when trying to install "BlackBerry Work".
    Model Number: Redmi4
    Android version: 6.0.1 MMB29M
    MIUI version: MIUI Global 10.2 Stable
    04-07-20 05:06 AM
  2. Troy Tiscareno's Avatar
    Per the Play Store, BB Work requires Android 7 or higher. You've got Android 6, which is the last version of Android that this originally-KitKat phone is ever going to get, so you'll need a newer phone.
    04-07-20 02:55 PM
  3. conite's Avatar
    Deleted - wrong thread.
    04-07-20 02:55 PM
  4. nevilleadaniels's Avatar
    Details of my phone:
    Getting message "Your device isn't compatible with this version" when trying to install "BlackBerry Work".
    Model Number: Redmi4
    Android version: 6.0.1 MMB29M
    MIUI version: MIUI Global 10.2 Stable
    Check APKMirror for a older version. But still unlikely to work with upend server changes.
    12-26-20 10:28 PM

Similar Threads

  1. Block the unknown number to blackberry leap
    By flob3d in forum BlackBerry Leap
    Replies: 3
    Last Post: 04-20-20, 04:06 AM
  2. Replies: 4
    Last Post: 04-07-20, 10:04 PM
  3. Make yourself more marketable during self-isolation with these online courses
    By CrackBerry News in forum CrackBerry.com News Discussion & Contests
    Replies: 0
    Last Post: 04-06-20, 01:22 PM
  4. ZTR and BlackBerry team up to create remote railcar monitoring solution
    By CrackBerry News in forum CrackBerry.com News Discussion & Contests
    Replies: 0
    Last Post: 04-06-20, 11:51 AM
LINK TO POST COPIED TO CLIPBOARD